> ## Documentation Index
> Fetch the complete documentation index at: https://www.illusory.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Proxies

> Lists all proxy servers belonging to the account.



## OpenAPI

````yaml GET /v1/proxies
openapi: 3.0.1
info:
  title: Illusory API Reference
  description: Interact with Illusory proxies
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://cmd.illusory.io
security: []
paths:
  /v1/proxies:
    get:
      description: Lists all proxy servers belonging to the account.
      responses:
        '200':
          description: Server response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/proxy-list'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    proxy-list:
      type: object
      properties:
        ok:
          type: boolean
          description: Indicates whether the request was successful e.g., `true`
        data:
          type: array
          description: An array of proxy details
          items:
            $ref: '#/components/schemas/proxy-get'
    Error:
      type: object
      properties:
        ok:
          type: boolean
          description: Indicates the request was unsuccessful e.g., `false`
        data:
          type: object
          description: Additional error data
          properties:
            proxy_name:
              type: string
              description: Unique identifier of the proxy server
        message:
          type: string
          description: Error message
      example:
        ok: false
        data:
          proxy_name: ILL-US-AU1-9999
        message: Proxy not found
    proxy-get:
      type: object
      properties:
        proxy_name:
          type: string
          description: Unique identifier of the proxy server
          example: ILL-US-AU1-9999
        nickname:
          type: string
          description: Optional nickname for the user or proxy.
          example: null
          nullable: true
        isp:
          type: string
          description: Name of the Internet Service Provider
          example: Verizon
        period:
          type: string
          description: Subscription period, e.g., `weekly`, `monthly`
          example: weekly
        auto_renew:
          type: boolean
          description: Indicates whether the expiration auto-renews
          example: false
        auto_renew_interval:
          type: integer
          description: The period interval for auto-renewal
          example: 1
        added_at:
          type: string
          format: date-time
          description: Timestamp of when the proxy was added
          example: '2050-12-04T17:43:16.407+00:00'
        expires_at:
          type: string
          format: date-time
          description: Timestamp of when the proxy will expire
          example: '2050-12-14T23:23:09.792+00:00'
        network_status:
          type: string
          description: >-
            Current status of the network, e.g., `online`, `offline`,
            `rebooting`
          example: online
        server_ip:
          type: string
          description: IP address of the server
          example: 198.765.543.21
        h_port:
          type: integer
          description: Port number for HTTP connections
          example: 12345
        s_port:
          type: integer
          description: Port number for SOCKS5 connections
          example: 67890
        auth_method:
          type: string
          description: Authentication method. `basic` or `whitelist`
          example: basic
        username:
          type: string
          description: Username for authentication
          example: john
        password:
          type: string
          description: Password for authentication
          example: wick05
        whitelist:
          type: string
          description: List of whitelisted IP addresses or domains, can be `null`
          example: null
          nullable: true
        auto_change:
          type: boolean
          description: Indicates whether the IP changes automatically
          example: false
        auto_change_time:
          type: integer
          description: Time interval for automatic IP change, in minutes
          example: 0
        last_ip_change:
          type: string
          format: date-time
          description: Timestamp of the last IP change
          example: '2050-12-04T17:51:40.339+00:00'
        last_reboot:
          type: string
          format: date-time
          description: Timestamp of the last server reboot
          example: '2050-12-04T17:51:40.339+00:00'
        traffic:
          type: integer
          description: Total network traffic in bytes
          example: 60156561622
        h_threads:
          type: integer
          description: Number of active HTTP threads
          example: 99
        s_threads:
          type: integer
          description: Number of active SOCKS5 threads
          example: 0
        city:
          type: string
          description: The city where the server is located
          example: Austin
        state:
          type: string
          description: The abbreviated state where the server is located. e.g., `TX`
          example: TX
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: apiKey
      description: >-
        The `Authorization` header is used to authenticate with the API using
        your `Master` API key. Value is of the format `Bearer YOUR_KEY_HERE`.

````